
Core - Bug # 16789

Status: Resolved Priority: Should have
Author: Marc Wöhlken Category: Install Tool
Created: 2006-12-14 Assigned To: Michael Stucki
Updated: 2014-12-14 Due date:
TYPO3 Version: 4.4
PHP Version: 4.3
Complexity:
Is Regression: No
Sprint Focus:
Subject: Install tool Option [adminOnly] = -1 shuts down Install tool
Description

Seting adminOnly to "-1" kills the install tool. The BE / install tool can only be enabled by editing localconf.php.

This is rather nasty under some circumstances and should be implemented in a way so that only the BE is disabled!

(issue imported from #M4658)

Related issues:
related to Core - Bug # 22500: No Message shown when accessing backend if TYP... Closed 2010-04-22
related to Core - Task # 49162: Rewrite install tool Resolved 2011-10-30

History
#1 - 2006-12-14 19:51 - Marc Wöhlken

Wrong category, please move to "Installtool"

#2 - 2006-12-14 23:25 - Michael Stucki

The attached patch should fix this:

0 = no action (default)
1 = admin only
2 = no be users
-1 = no BE, no Install Tool

#3 - 2010-05-04 03:37 - Chris topher

I just tested this with current trunk and it still is an issue.

#4 - 2013-05-04 09:36 - Alexander Opitz
- Status changed from Accepted to Needs Feedback
- Target version deleted (0)

The issue is very old, does this issue exists in newer versions of TYPO3 CMS (4.5 or 6.1)?
#5 - 2013-05-06 20:49 - Marc Wöhlken

Tested this bug against TYPO3 6.0.4 and 4.5.25 and it is still present in those releases.

#6 - 2013-05-06 22:20 - Alexander Opitz
- Status changed from Needs Feedback to Accepted

#7 - 2014-12-14 21:59 - Georg Ringer
- Status changed from Accepted to Resolved
- Is Regression set to No

could not reproduce on current master (CMS 7.1). feel free to reopen if still valid for you!

Files
bug_4658_v2.diff 4.9 kB 2006-12-14 Administrator Admin
